cURL
curl --request GET \
--url https://platform.thena.ai/v1/tickets/{id}/related \
--header 'x-api-key: <api-key>'import requests
url = "https://platform.thena.ai/v1/tickets/{id}/related"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://platform.thena.ai/v1/tickets/{id}/related', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"ticketIdentifier": "<string>",
"title": "<string>",
"ticketId": 123,
"description": "<string>",
"source": "<string>",
"accountId": "<string>",
"status": "<string>",
"statusId": "<string>",
"priority": "<string>",
"priorityId": "<string>",
"storyPoints": 123,
"account": "<string>",
"teamId": "<string>",
"teamName": "<string>",
"teamIdentifier": "<string>",
"subTeamId": "<string>",
"subTeamName": "<string>",
"subTeamIdentifier": "<string>",
"isPrivate": true,
"typeId": "<string>",
"type": "<string>",
"assignedAgent": "<string>",
"assignedAgentId": "<string>",
"assignedAgentEmail": "<string>",
"assignedAgentAvatar": "<string>",
"requestorEmail": "<string>",
"customerContactId": "<string>",
"customerContactFirstName": "<string>",
"customerContactLastName": "<string>",
"customerContactEmail": "<string>",
"submitterEmail": "<string>",
"customFieldValues": [
"<string>"
],
"deletedAt": "<string>",
"archivedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"formId": "<string>",
"aiGeneratedTitle": "<string>",
"aiGeneratedSummary": "<string>",
"sentiment": "<string>",
"sentimentId": "<string>",
"teamIcon": "<string>",
"teamColor": "<string>",
"teamOrganizationId": "<string>",
"teamParentTeamId": "<string>",
"teamDescription": "<string>",
"teamConfigurationId": "<string>",
"teamTeamOwnerId": "<string>",
"teamIsActive": true,
"teamIsPrivate": true,
"teamCreatedAt": "<string>",
"teamUpdatedAt": "<string>",
"teamDeletedAt": "<string>",
"teamArchivedAt": "<string>",
"subTeamIcon": "<string>",
"subTeamColor": "<string>",
"subTeamOrganizationId": "<string>",
"subTeamParentTeamId": "<string>",
"subTeamDescription": "<string>",
"subTeamConfigurationId": "<string>",
"subTeamTeamOwnerId": "<string>",
"subTeamIsActive": true,
"subTeamIsPrivate": true,
"subTeamCreatedAt": "<string>",
"subTeamUpdatedAt": "<string>",
"subTeamDeletedAt": "<string>",
"subTeamArchivedAt": "<string>",
"lastCustomerComment": "<string>",
"lastVendorComment": "<string>",
"lastComment": "<string>",
"isEscalated": true,
"relatedTicketType": "related",
"closedAt": "<string>",
"closedBy": "<string>",
"closedById": "<string>",
"closedByEmail": "<string>",
"movementDetails": {
"movedToTicketUid": "01HX9JT27K10RBSW3JG44BVQZ42062Q",
"movedToTicketNumber": 206,
"movedToTeamUid": "THETTYJ00RK330",
"movedToTeamIdentifier": "DEM"
}
}
],
"total": 5,
"page": 0,
"limit": 50
}{
"statusCode": 404,
"error": "Not Found",
"message": "Ticket not found!"
}Tickets
Get ticket related
GET
/
v1
/
tickets
/
{id}
/
related
cURL
Authorizations
Enter your API key
Path Parameters
Query Parameters
Whether to fetch linked tickets
Whether to fetch subtickets
Whether to fetch duplicate tickets
The page number to fetch tickets by
The limit of tickets to fetch
⌘I